io.undertow

## Class Undertow

- java.lang.Object
- - io.undertow.Undertow

    public final class Undertow
    extends Object

Convenience class used to build an Undertow server.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `Undertow.Builder`
`static class` `Undertow.ListenerBuilder`
`static class` `Undertow.ListenerInfo`
`static class` `Undertow.ListenerType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Undertow.Builder` `builder()`
`List<Undertow.ListenerInfo>` `getListenerInfo()`
`org.xnio.XnioWorker` `getWorker()`
`org.xnio.Xnio` `getXnio()`
`void` `start()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### builder

    public static Undertow.Builder builder()

Returns:
  A builder that can be used to create an Undertow server instance

#### start

    public void start()

#### stop

    public void stop()

#### getXnio

    public org.xnio.Xnio getXnio()

#### getWorker

    public org.xnio.XnioWorker getWorker()

#### getListenerInfo

    public List<Undertow.ListenerInfo> getListenerInfo()